FROM nvcr.io/nvidia/l4t-jetpack:r36.2.0

RUN apt-get update && apt-get install -y \
    python3 python3-pip python3-dev gcc \
    libgl1 libglib2.0-0 \
    python3-libnvinfer python3-libnvinfer-dev \
    && rm -rf /var/lib/apt/lists/*


WORKDIR /app
COPY requirements.txt requirements-jetson.txt ./
RUN pip3 install --no-cache-dir -r requirements-jetson.txt
COPY . .
RUN python3 setup.py build_ext --inplace
ENV PYTHONPATH=/app/src
RUN adduser --disabled-password --no-create-home --gecos "" appuser \
    && chown -R appuser /app
USER appuser
EXPOSE 8080
CMD ["python3", "-m", "uvicorn", "main:app", "--host", "0.0.0.0", "--port", "8080"]
